﻿@model SupportIndexViewModel
@{
    ViewBag.Title = "پشتیبانی";
}

@section head{
    <script src="https://www.google.com/recaptcha/api.js?hl=fa&onload=onloadCallback&render=explicit" async defer></script>
}

<div class="container">
    <div class="row mt-3">
        <div class="col-md-12">
            <section class="section">
                <div class="row">
                    <div class="col-md-12">
                        <h4 class="page-title"><span>مرکز پشتیبانی اکس تومن</span></h4>
                        <div class="jumbotron text-center background-clouds">
                            <span class="fa fa-question-circle color-lead" style="font-size: 86px"></span>
                            <p>
                                اگر سوالی دارید، ابتدا به قسمت <a href="@Url.Action("Index","FAQ")">پرسش و پاسخ</a> مراجعه کنید، اگر سوال خود را پیدا نکردید یا درخواست پشتیبانی از طرف تیم اکس تومن دارید، نگران هیچ چیز نباشید فقط فرم را پر کنید و برای ما ارسال نمایید.!
                            </p>
                            <div>
                                @Html.ActionLink("پرسش و پاسخ", "Index", "FAQ", null, new { @class = "btn btn-secondary btn-lg" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="card mt-3">
                            <div class="card-body">
                                <div class="card-block">
                                    <h5 class="card-title">فرم پشتیبانی</h5><hr />
                                    @using (Html.BeginForm("Index", "Support", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                                    {
                                        @Html.AntiForgeryToken()
                                        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                                        if (!Model.AddViewModel.EmailOrPhoneNumber.HasValue())
                                        {
                                            <div class="form-group">
                                                <div class="col-12">
                                                    <span class="fa fa-user"></span> @Html.LabelFor(m => m.AddViewModel.EmailOrPhoneNumber, new { @class = "control-label" })
                                                </div>
                                                <div class="col-12">
                                                    @Html.TextBoxFor(m => m.AddViewModel.EmailOrPhoneNumber, new { @class = "form-control", placeholder = "ایمیل یا موبایل" })
                                                    @Html.ValidationMessageFor(m => m.AddViewModel.EmailOrPhoneNumber, "", new { @class = "text-danger" })
                                                </div>
                                            </div>
                                        }
                                        else
                                        {
                                            <div class="col-12">
                                                @Html.HiddenFor(m => m.AddViewModel.EmailOrPhoneNumber)
                                                <span class="fa fa-user"></span> @Model.AddViewModel.EmailOrPhoneNumber
                                            </div>
                                            <br />
                                        }
                                        <div class="form-group">
                                            <div class="col-12">
                                                <span class="fa fa-building"></span> @Html.LabelFor(m => m.AddViewModel.Department, new { @class = "control-label" })
                                            </div>
                                            <div class="col-12">
                                                @Html.EnumDropDownListFor(m => m.AddViewModel.Department, "دپارتمان را انتخاب کنید", new { @class = "form-control" })
                                                @Html.ValidationMessageFor(m => m.AddViewModel.Department, "", new { @class = "text-danger" })
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-12">
                                                <span class="fa fa-info"></span> @Html.LabelFor(m => m.AddViewModel.Priority, new { @class = "control-label" })
                                            </div>
                                            <div class="col-12">
                                                @Html.EnumDropDownListFor(m => m.AddViewModel.Priority, "مقدار اهمیت موضوع", new { @class = "form-control" })
                                                @Html.ValidationMessageFor(m => m.AddViewModel.Priority, "", new { @class = "text-danger" })
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-12">
                                                <span class="fa fa-pencil"></span> @Html.LabelFor(m => m.AddViewModel.Subject, new { @class = "control-label" })
                                            </div>
                                            <div class="col-12">
                                                @Html.TextBoxFor(m => m.AddViewModel.Subject, new { @class = "form-control", placeholder = "عنوان مشکل" })
                                                @Html.ValidationMessageFor(m => m.AddViewModel.Subject, "", new { @class = "text-danger" })
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-12">
                                                <span class="fa fa-file"></span> @Html.LabelFor(m => m.AddViewModel.Text, new { @class = "control-label" })
                                            </div>
                                            <div class="col-12">
                                                @Html.TextAreaFor(m => m.AddViewModel.Text, new { @class = "form-control", placeholder = "متن توضیح مشکل", rows = "10", style = "height:150px;" })
                                                @Html.ValidationMessageFor(m => m.AddViewModel.Text, "", new { @class = "text-danger" })
                                            </div>
                                        </div>
                                        <div id="recaptchaDiv" class="g-recaptcha" data-sitekey="6LflMzoUAAAAANbJkWt7aYXbypaZSgmfJrvWsfmw"></div>
                                        <div class="form-group">
                                            <div class="col-offset-3 col-9">
                                                <button type="submit" class="btn btn-lead btn-lg">ارسال درخواست</button>
                                            </div>
                                        </div>
                                    }
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        @if (Model.Tickets.Any())
                        {
                            <div class="row mt-3 small">
                                <div class="col-12">
                                    <div class="card">
                                        <div class="card-body">
                                            <div class="card-block">
                                                <h5 class="card-title">تیکت ها</h5><hr />
                                                <div class="table-responsive table-bordered table-hover mt-3">
                                                    <table class="table">
                                                        <thead>
                                                            <tr>
                                                                <th></th>
                                                                @*<th>ردیف</th>*@
                                                                <th>موضوع</th>
                                                                <th>وضعیت</th>
                                                                <th>تاریخ ایجاد</th>
                                                                @*<th>اهمیت</th>*@
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            @foreach (var item in Model.Tickets)
                                                            {
                                                                <tr class="clickable-row" data-href="@Url.Action("Ticket", new { id = item.Id })">
                                                                    <td><a class="btn btn-sm btn-lead" href="@Url.Action("Ticket", new { id = item.Id })"><span class="fa fa-search"></span></a></td>
                                                                    @*<td>@item.Id</td>*@
                                                                    <td>@item.Subject</td>
                                                                    <td><span class="badge badge-@item.Status.ToDisplay(Xtoman.Utility.DisplayProperty.ShortName)">@item.Status.ToDisplay()</span></td>
                                                                    <td>@item.InsertDate.ToFaDateTimeZone()</td>
                                                                    @*<td>@item.Priority.ToDisplay()</td>*@
                                                                </tr>
                                                            }
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        }
                    </div>
                </div>
            </section>
        </div>
    </div>
</div>

@section scripts
{
    @Scripts.Render("~/js/jqueryval")
    <script>
        $('.clickable-row').on("click", function () {
            var linkHref = $(this).data('href');
            window.location.href = linkHref;
        });
        function onloadCallback() {
            $('input[type="submit"]').removeAttr('disabled');
            grecaptcha.render('recaptchaDiv');
        }
    </script>
}